public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/tuned/
Date: Wed, 22 Jan 2020 06:43:46 +0000 (UTC)	[thread overview]
Message-ID: <1579674857.208e6cae7a28c505808777b7d0546aa7a93d9d9a.dlan@gentoo> (raw)

commit:     208e6cae7a28c505808777b7d0546aa7a93d9d9a
Author:     Ewoud Kohl van Wijngaarden <ewoud <AT> kohlvanwijngaarden <DOT> nl>
AuthorDate: Sat Jan  4 17:40:09 2020 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Jan 22 06:34:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=208e6cae

sys-apps/tuned: Add 2.13.0

* Move from Python 2 to Python 3.
* Correct DOCDIR patching
* Optimize Python files
* Update XDG icon cache

Closes: https://bugs.gentoo.org/704760
Closes: https://github.com/gentoo/gentoo/pull/14248
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Ewoud Kohl van Wijngaarden <ewoud <AT> kohlvanwijngaarden.nl>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 sys-apps/tuned/Manifest            |  1 +
 sys-apps/tuned/tuned-2.13.0.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/sys-apps/tuned/Manifest b/sys-apps/tuned/Manifest
index 1b78512c74a..48a49f8969e 100644
--- a/sys-apps/tuned/Manifest
+++ b/sys-apps/tuned/Manifest
@@ -1,3 +1,4 @@
 DIST tuned-2.10.0.tar.gz 160254 BLAKE2B 0a09b4b870ec153adc62de7811af561ddb3967d459b1d5e8b6f02c5ac036ed170ad3368d18fc1b3fd40649335035cce971a54e1eda8745c77e836a3b2d892a83 SHA512 e0674533f17ac27cd3647808cda1f51d9905f563521af8cb3ffd1854098d6e2ca1adac82e542e6bdf86cce7e659303464eac50b8823167360783a75843d02a60
+DIST tuned-2.13.0.tar.gz 193816 BLAKE2B 1e51a9da855f54db9ac8ed6e764c091d513c1101771422a62c7c501dc3c8741430eb3503803b408709868d16d4791fbedb9dbc088b36fb693f065a1b6054fa15 SHA512 d81b0a80f911fe808ca324319da3e42c3c15196c0c37343d33b45c2b34f33e205e2913d77ffda8598379a91ef72ab73d88d7b83a4684b6a067e3f36d98a85927
 DIST tuned-2.7.0.tar.bz2 107541 BLAKE2B b26924a091fd78bbc7e61c8a45b49808d132eb5ebd3fdc00f96be7eaddcffd88183fa59595a29e2c402b2c434bfdb706601d397c2ebca9a5822c6a3416373465 SHA512 ce09dd854e89762fa376f7f63a59feb384940b5dbc5ad74370b33bbda3f060f09e79d2988de3535b072ad749ab7be43ccaaa46a343a9df50eec6c40d7ab85d55
 DIST tuned-2.7.1.tar.bz2 107471 BLAKE2B c9259ee5ce502100edc7c537f6857de3a6af4af0be1773e0c9422c10de16b4a513d514532da26764b0a743f943577d527919f329ff48a012e269fd2a0ac59f10 SHA512 4a4785e3d20ed7f1c2969066676f5fa3d8286b500de1c63169d745e701e1410092d29429d25c13c3515d37ef73dd297945d69db176d693d4152bfbe9ba626833

diff --git a/sys-apps/tuned/tuned-2.13.0.ebuild b/sys-apps/tuned/tuned-2.13.0.ebuild
new file mode 100644
index 00000000000..fe231367c6c
--- /dev/null
+++ b/sys-apps/tuned/tuned-2.13.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit python-single-r1 xdg-utils
+
+DESCRIPTION="Daemon for monitoring and adaptive tuning of system devices"
+HOMEPAGE="https://github.com/redhat-performance/tuned"
+SRC_URI="https://github.com/redhat-performance/tuned/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEPS}
+	dev-python/configobj[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/pyudev[${PYTHON_USEDEP}]
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	dev-python/python-linux-procfs[${PYTHON_USEDEP}]"
+
+RDEPEND="
+	${DEPEND}
+	sys-apps/dbus
+	sys-apps/ethtool
+	sys-power/powertop
+	dev-util/systemtap"
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e "/^export DOCDIR/s/$/&\-\$(VERSION)/g" \
+		-e "/\$(DESTDIR)\/run\/tuned/d" \
+		-e "/\$(DESTDIR)\/var\/lib\/tuned/d" \
+		-e "/\$(DESTDIR)\/var\/log\/tuned/d" \
+		Makefile || die
+}
+
+src_install() {
+	default
+
+	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+	python_fix_shebang "${D}"
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}


             reply	other threads:[~2020-01-22  6:43 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-22  6:43 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-10 13:37 [gentoo-commits] repo/gentoo:master commit in: sys-apps/tuned/ Yixun Lan
2024-12-02 10:17 Yixun Lan
2024-08-26  0:03 Yixun Lan
2024-08-21  5:30 Sam James
2024-06-06 13:33 Yixun Lan
2024-06-06 13:33 Yixun Lan
2024-06-06 13:33 Yixun Lan
2024-02-26  1:29 Yixun Lan
2024-02-26  1:29 Yixun Lan
2024-02-18  1:10 Yixun Lan
2024-02-18  1:10 Yixun Lan
2023-08-30  9:55 Yixun Lan
2023-08-30  9:55 Yixun Lan
2023-03-11 11:06 Yixun Lan
2023-03-11 11:06 Yixun Lan
2022-09-05 13:11 Yixun Lan
2022-09-05 13:11 Yixun Lan
2022-02-14 14:34 Yixun Lan
2022-02-14 14:34 Yixun Lan
2022-01-31 14:52 Yixun Lan
2022-01-31 14:52 Yixun Lan
2021-09-26 19:36 Conrad Kostecki
2021-09-26 19:36 Conrad Kostecki
2021-09-24  1:52 Yixun Lan
2021-07-17 18:18 David Seifert
2021-05-31 21:00 Michał Górny
2021-02-03 14:10 Yixun Lan
2021-01-14 14:37 Yixun Lan
2021-01-13 23:04 Yixun Lan
2020-02-09 16:42 Michał Górny
2020-02-05 20:47 Michał Górny
2019-08-13 14:10 Michał Górny
2018-11-20  6:30 Yixun Lan
2017-07-26  9:19 Patrice Clement
2016-11-04  3:02 Yixun Lan
2016-08-15  7:51 Yixun Lan
2016-05-29 12:23 Yixun Lan
2016-05-29 12:23 Yixun Lan
2016-02-01  3:08 Yixun Lan
2016-02-01  3:08 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1579674857.208e6cae7a28c505808777b7d0546aa7a93d9d9a.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox